Subject: Re: [CYGWIN] Updated Cygwin Package: postgresql-7.3.2-2
From: Jason Tishler <[email-masked]>
To: Frank Seesink <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 20 May 2003 07:57:05 -0400

Frank,

[Note redirected from cygwin-announce@ to cygwin@...]

On Mon, May 19, 2003 at 06:16:37PM -0400, Frank Seesink wrote:
> Jason Tishler wrote:
> >New News:
> >=== ====
> >This version is built against cygipc 1.14-1 which contains a fix to
> >properly handle Windows XP's Fast User Switching.  If interested, see
> >the following for the details:
> >
> >    http://cygwin.com/ml/cygwin/2003-05/msg00282.html
> 
> Jason,
> 
> How version-specific is PostgreSQL under Cygwin with relation to
> CygIPC?

Somewhat.

> I mean, from the above, it seems that a fix in the latter requires a
> recompile of the former?

It depends.

> Or is that only in specific cases like this one with the Fast User
> Context Switching (FUCS)?

If the change is internal to ipc-daemon then no recompile of PostgreSQL
should be necessary.  On the other hand, if the change is in libcygipc.a,
then a recompile is necessary.

> [Acronym unintentional...but kind of amusing when I think about 
> it. :-) ]

Agreed.  Maybe the CKOA <http://cygwin.com/acronyms/#CKOA> will add it
to the list.

> I only ask because I saw the updated CygIPC 1.14-1 this morning and 
> figured I'd test against it (with the same same PostgreSQL 7.3.2-1 
> that's been installed).  FYI:  PostgreSQL 7.3.2-1 behaves no differently 
> than before--initdb still fails if you use FUCS--but 'ipctest s' DOES 
> work even when logged in using FUCS, and PostgreSQL itself runs just fine.

The above is the expected behavior because the FUCS change is in
libcygipc.a (and ipc-daemon).

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/